Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# RegionDefine Class Reference
[Handlers]

Inheritance diagram for RegionDefine:

## Detailed Description

Object contains information about region mapping into real colors or other properties.

This class represents abstract mapping information and declares required methods to be implemented in it's subclasses.

## Public Member Functions
virtual void | assignParent (const RegionDefine *parent)=0
| Completes region define values with it's parent values.
virtual void | setValues (const RegionDefine *rd)=0
| Direct assign of all passed `rd` values.
virtual RegionDefine & | operator= (const RegionDefine &rd)
| Assign operator.
virtual RegionDefine * | clone () const =0
| Clones current region and creates it's duplicate.
virtual | ~RegionDefine ()
| Default Destructor.

## Member Function Documentation

virtual void RegionDefine::assignParent | ( | const RegionDefine * | parent | ) | `[pure virtual]`

| Completes region define values with it's parent values. If region define has some incomplete information (fe some transparent fields), this methods completes them with passed parent's values. Implemented in StyledRegion, and TextRegion.

virtual void RegionDefine::setValues | ( | const RegionDefine * | rd | ) | `[pure virtual]`

| Direct assign of all passed `rd` values. Copies all information from passed definition into this region. Implemented in TextRegion.

virtual RegionDefine& RegionDefine::operator= | ( | const RegionDefine & | rd | ) | `[inline, virtual]`

| Assign operator. Clones all values. Works as setValues method.

virtual RegionDefine* RegionDefine::clone | ( |  | ) | const`[pure virtual]`

| Clones current region and creates it's duplicate. To be implemented in subclasses.

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:14 2006 by doxygen 1.4.6.